#%#define __spec_install_pre	export RPM_SOURCE_DIR="%{_sourcedir}";export RPM_BUILD_DIR="%{_builddir}";export RPM_OPT_FLAGS="%{optflags}";export RPM_ARCH="%{_arch}";export RPM_OS="%{_os}";export RPM_DOC_DIR="%%{_docdir}";export RPM_PACKAGE_NAME="%%{name}";export RPM_PACKAGE_VERSION="%%{version}";export RPM_PACKAGE_RELEASE="%%{release}";export RPM_BUILD_ROOT="%{buildroot}";export LC_ALL=C;export LANG=C;cd %_builddir

# need to bootstrap first
%define enable_asymptote	0
%define enable_xindy		0

%define with_system_poppler	0
%define with_system_dialog	1
%define with_system_lcdf	0
%define with_system_psutils	1
%define with_system_t1lib	1
%define with_system_tex4ht	0
%define with_system_teckit	0

#-----------------------------------------------------------------------
Name:		texlive
Version:	20100722
Release:	%mkrel 3
Summary:	The TeX formatting system
Group:		Publishing
License:	Apache2 and Artistic and BSD and FDL and Freeware and GFL and GFSL and GPL and GPLv2 and GPLv3 and LGPL and LGPLv2.1 and LPPL and LPPLv1 and LPPLv1.2 and LPPLv1.3 and OFL and Public Domain
URL:		http://tug.org/texlive/
Source0:	ftp://tug.org/historic/systems/texlive/2010/texlive-20100722-source.tar.xz
Source1:	ftp://tug.org/historic/systems/texlive/2010/texlive-20100722-source.tar.xz.sha256
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %mdkversion <= 201100
Provides:	jadetex = %{version}
Provides:	tetex = %{version}
Provides:	tetex-dvipdfm = %{version}
Provides:	tetex-dvips = %{version}
Provides:	tetex-latex = %{version}
Provides:	texlive-afm = %{version}
Provides:	texlive-context = %{version}
Provides:	texlive-dvilj = %{version}
Provides:	texlive-dvipdfm = %{version}
Provides:	texlive-dvips = %{version}
Provides:	texlive-dviutils = %{version}
Provides:	texlive-latex = %{version}
Provides:	texlive-mfwin = %{version}
Provides:	xmltex = %{version}
%endif

Obsoletes:	jadetex <= 3.12-153
Obsoletes:	tetex <= 3.0-55
Obsoletes:	tetex-dvipdfm <= 3.0-55
Obsoletes:	tetex-dvips <= 3.0-55
Obsoletes:	tetex-latex <= 3.0-55
Obsoletes:	texlive-afm <= 2007
Obsoletes:	texlive-context <= 2007
Obsoletes:	texlive-dvilj <= 2007
Obsoletes:	texlive-dvipdfm <= 2007
Obsoletes:	texlive-dvips <= 2007
Obsoletes:	texlive-dviutils <= 2007
Obsoletes:	texlive-latex <= 2007
Obsoletes:	texlive-mfwin <= 2007
Obsoletes:	xmltex <= 3.0-55

%if %{with_system_teckit}
Requires:	teckit
%else
Provides:	teckit
Obsoletes:	teckit <= 2.5.1
%endif

%if %{with_system_tex4ht}
Requires:	tex4ht
%else
Provides:	tex4ht
Obsoletes:	tex4ht <= 1.0.2008_02_28_2058
%endif

#-----------------------------------------------------------------------

BuildRequires:	bison
%if %{enable_xindy}
BuildRequires:	clisp
BuildRequires:	ffcall-devel
%endif
%if %{enable_asymptote}
BuildRequires:	fftw-devel
BuildRequires:	flex
%endif
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
%if %{enable_asymptote}
BuildRequires:	libgc-devel
BuildRequires:	libsigsegv-devel
BuildRequires:	ghostscript-dvipdf
BuildRequires:	gsl-devel
BuildRequires:	GL-devel
%endif
BuildRequires:	libgd-devel
%if %{with_system_poppler}
BuildRequires:	libpoppler-devel
%endif
BuildRequires:	libxaw-devel
%if !%{with_system_dialog}
BuildRequires:	ncurses-devel
%endif
BuildRequires:	png-devel
%if %{with_system_t1lib}
BuildRequires:	t1lib-devel
%endif
%if %{with_system_teckit}
BuildRequires:	teckit-devel
%endif
%if %{enable_xindy}
BuildRequires:	texlive
%endif
%if %{enable_asymptote}
BuildRequires:	texinfo
%endif
BuildRequires:	zziplib-devel

#-----------------------------------------------------------------------
%if %{with_system_dialog}
Requires:	cdialog
%endif
Requires:	ghostscript
%if %{with_system_psutils}
Requires:	psutils
%endif
Requires:	texlive-texmf
Requires:	texlive-fonts

Requires(post):	texlive-texmf
Requires(post):	texlive-fonts

#-----------------------------------------------------------------------
Patch0:		texlive-20100722-underlink.patch
Patch1:		texlive-20100722-format.patch
Patch2:		texlive-20100722-asymptote.patch

#-----------------------------------------------------------------------
%description
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{_datadir}/texmf
%dir %{_datadir}/texmf-dist
%dir %{_localstatedir}/lib/texmf
%dir %{_sysconfdir}/texmf

#-----------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}-source
%patch0	-p1
%patch1	-p1
%if %{enable_asymptote}
%patch2 -p1
%endif

#-----------------------------------------------------------------------
%build
%configure2_5x							\
	--with-banner-add="/Mandriva"				\
	--disable-native-texlive-build				\
	--enable-missing					\
%if %{enable_xindy}
	--enable-xindy						\
%else
	--disable-xindy						\
%endif
	--with-system-freetype					\
	--with-freetype-includes=%{_includedir}/freetype	\
	--with-system-freetype2					\
	--with-freetype2-includes=%{_includedir}/freetype2	\
%if %{with_system_dialog}
	--disable-dialog					\
%else
	--enable-dialog						\
%endif
%if %{with_system_psutils}
	--disable-psutils					\
%else
	--enable-psutils					\
%endif
	--with-system-gd					\
%if %{with_system_lcdf}
	--disable-lcdf-typetools				\
%endif
	--with-system-png					\
%if %{with_system_t1lib}
	--with-system-t1lib					\
	--disable-t1utils					\
%endif
%if %{with_system_teckit}
	--disable-teckit					\
	--with-teckit-includes=%{_includedir}/teckit		\
%endif
%if %{with_system_tex4ht}
	--disable-tex4htk					\
%endif
%if %{with_system_poppler}
	--with-system-xpdf					\
%else
	--without-system-xpdf					\
%endif
	--with-system-zziplib
%make

%if %{enable_asymptote}
pushd utils/asymptote
%configure2_5x							\
	--enable-gc=system					\
	--enable-texlive-build					\
	--datadir=%{_datadir}/texmf
%make
popd
%endif

#-----------------------------------------------------------------------
%install
%makeinstall_std

%if %{enable_asymptote}
pushd utils/asymptote
%makeinstall_std
popd
%endif

mkdir -p %{buildroot}%{_datadir}
for dir in texmf texmf-dist; do
    if [ -d %{buildroot}%{_prefix}/$dir ]; then
	rm -fr %{buildroot}%{_datadir}/$dir
	mv %{buildroot}%{_prefix}/$dir %{buildroot}%{_datadir}
    fi
done

mkdir -p %{buildroot}%{_localstatedir}/lib/texmf
mkdir -p %{buildroot}%{_sysconfdir}/texmf

%if %{with_system_lcdf}
# stray directory left
rm -fr %{buildroot}%{_datadir}/lcdf-typetools-for-tex-live
%else
# openmpi has a program with the same name
if [ -f %{buildroot}%{_bindir}/otfinfo ]; then
    mv -f %{buildroot}%{_bindir}/otfinfo{,-texlive}
fi
%endif

pushd %{buildroot}%{_bindir}
    # missing symbolic links
    ln -sf aleph lamed
    ln -sf luatex dvilualatex
    ln -sf luatex lualatex
    ln -sf luatex dviluatex
    ln -sf pdftex amstex
    ln -sf pdftex cslatex
    ln -sf pdftex csplain
    ln -sf pdftex eplain
    ln -sf pdftex etex
    ln -sf pdftex jadetex
    ln -sf pdftex latex
    ln -sf pdftex mex
    ln -sf pdftex mltex
    ln -sf pdftex mllatex
    ln -sf pdftex pdfcslatex
    ln -sf pdftex pdfcsplain
    ln -sf pdftex pdfetex
    ln -sf pdftex pdfjadetex
    ln -sf pdftex pdflatex
    ln -sf pdftex pdfmex
    ln -sf pdftex pdfxmltex
    ln -sf pdftex physe
    ln -sf pdftex phyzzx
    ln -sf pdftex utf8mex
    ln -sf pdftex texsis
    ln -sf pdftex xmltex
    ln -sf ptex platex
    ln -sf mpost metafun
    ln -sf mpost mfplain
    ln -sf xetex xelatex
    # correct symlinks
    for file in *; do
	link=`readlink $file` || :
	if [ "x$link" != "x" ]; then
	    ln -sf `echo $link | sed -e 's%../%../share/%'` $file
	fi
    done
%if %{with_system_dialog}
    ln -sf dialog tcdialog
%endif
    rm -f a2ping
    rm -f e2pall
    rm -f rungs
    rm -f simpdftex
    rm -f tlmgr
    rm -f texdoc
    rm -f texdoctk
popd

# use texmf data
rm -fr %{buildroot}%{_datadir}/texmf/*
rm -fr %{buildroot}%{_datadir}/texmf-dist/*

# install manual pages and info files from texlive-texmf tarball
rm -fr %{buildroot}%{_mandir} %{buildroot}%{_infodir}

# do not generate dynamic libraries and do not install static ones
rm -fr %{buildroot}%{_libdir}
rm -fr %{buildroot}%{_includedir}

#-----------------------------------------------------------------------
%clean
rm -rf %{buildroot}

#-----------------------------------------------------------------------
%post
pushd %{_datadir}
    rm -f texmf/ls-R texmf-dist/ls-R
    mktexlsr %{_datadir}/texmf{,-dist}
popd
pushd %{_localstatedir}/lib/texmf
    texconfig-sys init
popd


%changelog
* Tue Feb 15 2011 Paulo Andrade <pcpa@mandriva.com.br> 20100722-3mdv2011.0
+ Revision: 637825
- Correct build for asymptote and xindy, but still disabled
- Correct post that was passing incorrect arguments to mktexlsr

* Mon Feb 14 2011 Paulo Andrade <pcpa@mandriva.com.br> 20100722-2
+ Revision: 637731
+ rebuild (emptylog)

* Mon Feb 14 2011 Paulo Andrade <pcpa@mandriva.com.br> 20100722-1
+ Revision: 637669
- Update to texlive 20100722

* Tue Feb 01 2011 Paulo Andrade <pcpa@mandriva.com.br> 2007-22
+ Revision: 634608
- Update to match the fedora texlive package

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages
    - sync security patches with fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new poppler

* Wed Feb 17 2010 Lev Givon <lev@mandriva.org> 0:2007-21.r6295.8mdv2010.1
+ Revision: 507127
- Fix compilation issue reported in Ubuntu bug #438031.
- Cron job in texlive-fonts requires tmpwatch (#48739).

* Thu Jul 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:2007-21.r6295.7mdv2010.0
+ Revision: 396656
- Added patch to fix conflict with glibc getline().
  Rebuild for new poppler.

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 0:2007-20.r6295.7mdv2010.0
+ Revision: 378035
- really fix bug #51077

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 0:2007-20.r6295.6mdv2010.0
+ Revision: 377976
- fix wrong deps of xdvi (bug #51077)

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 0:2007-20.r6295.5mdv2010.0
+ Revision: 377705
- fix build with gcc 4.4
- fix build with new poppler

  + Paulo Andrade <pcpa@mandriva.com.br>
    - o Correct a typo xdvv -> xdvi
      o Make texlive-xdvi provide xdvi
      o Make texlive-xdvi require missing font packages
      o This should correct #48029 (texlive-xdvi should Provides: xdvi), and
      to some extent, help in #38016 (texlive misses some fonts for xdvi)

* Thu Feb 12 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 0:2007-20.r6295.3mdv2009.1
+ Revision: 339794
- added build fix patches:
     texlive-2007-buildfix2009.1.patch
     texlive-2007-buildfix2009.1-2.patch
     texlive-2007-buildfix2009.1-3.patch
  some of hunks are in disabled patches for further rediff
- disabled patches:
    texlive-fix_epstopdf_invocation.patch
    texlive-builtin-searchpath-fix.patch
    texlive-pdftex.patch
    texlive-source-t1lib.patch
- rediff texlive-libpoppler_new.patch
- including libpng as build require

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix the release
    - Rebuild against new libxcb

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 01 2008 Funda Wang <fwang@mandriva.org> 0:2007-20.r6295.3mdv2009.0
+ Revision: 199843
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

* Sat Jan 19 2008 David Walluck <walluck@mandriva.org> 0:2007-20.r6295.2mdv2008.1
+ Revision: 155147
- Provides should not depend on status of obsolete_tetex option
- SVN r6295 (fixes build)
- keep source directory when creating tarball

  + Anssi Hannula <anssi@mandriva.org>
    - do not provide jadetex+xmltex when not obsoleting them

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 0:2007-20.r6225mdv2008.1
+ Revision: 154135
- stop providing/obsoleting tetex (too much issues)

  + Anssi Hannula <anssi@mandriva.org>
    - fix conflicts when built with obsolete_tetex=0 (not default)

* Mon Jan 14 2008 David Walluck <walluck@mandriva.org> 0:2007-19.r6225mdv2008.1
+ Revision: 151174
- fix  E: description-line-too-long
- comment out %%{_texmf_main}/web2c/xetex.pool, %%{_bindir}/platex, and %%{_bindir}/pdfplatex from file list
- use standard menu category for xdvi
- SVN r6225
- rediff and modify texlive-libpoppler_new.patch
- rediff texlive-Build_script.patch
- remove texlive-source-CVE-2007-0650.patch (applied upstream)
- remove texlive-2007-copyright-utf8-man.patch (no longer needed)
- modify texlive-build.patch
- add texlive-no-lzma.patch (avoid building lzma which is already in the distro)
- modify texlive-warns.patch
- this release adds mkjobtexmf, texcount, and tpic2pdftex

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 0:2007-19mdv2008.1
+ Revision: 147946
- restore lots of requires (it seems that someone had wrongly assumed
  that "requires" is a subset of "requires(post)" and replaced a lot of
  requires with requires(post); I restored them, but did not remove
  the added requires(post), even while some of them seem like they are
  superfluous)
- texlive-mfwin conflicts with old tetex
- versionize obsoletes and provides to avoid conflicts with other
  texlive packages

* Thu Jan 10 2008 Thierry Vignaud <tv@mandriva.org> 0:2007-18mdv2008.1
+ Revision: 147646
- make texlive-fonts conflict with tetex

* Thu Jan 10 2008 David Walluck <walluck@mandriva.org> 0:2007-17mdv2008.1
+ Revision: 147471
- change Requires to Requires(post) for scriptlets

* Wed Jan 09 2008 Thierry Vignaud <tv@mandriva.org> 0:2007-16mdv2008.1
+ Revision: 147226
- conflict with old tetex-doc (#36582)
- fix xdvi not working (#35288)
- fix descriptions (texlive-doc doesn't exists)
- texlive-xdvi conflicts with xdvi (#35288)

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 0:2007-15mdv2008.1
+ Revision: 146441
- really enable obsoloting/provides tetex

* Fri Jan 04 2008 Thierry Vignaud <tv@mandriva.org> 0:2007-14mdv2008.1
+ Revision: 145501
- enable obsoloting/provides tetex
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 0:2007-13mdv2008.0
+ Revision: 79575
- rebuild
- fix Icon entry in xdvi.desktop

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Aug 25 2007 David Walluck <walluck@mandriva.org> 0:2007-12mdv2008.0
+ Revision: 71099
- add some Requires

* Sat Aug 25 2007 David Walluck <walluck@mandriva.org> 0:2007-11mdv2008.0
+ Revision: 71098
- split out jadetex and xmltex packages

* Thu Aug 16 2007 David Walluck <walluck@mandriva.org> 0:2007-10mdv2008.0
+ Revision: 64085
- rebuild

* Wed Aug 15 2007 David Walluck <walluck@mandriva.org> 0:2007-9mdv2008.0
+ Revision: 63853
- fix conflict with context subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - move out of descriptions stuff that do not actually describe these packages

* Sun Aug 12 2007 David Walluck <walluck@mandriva.org> 0:2007-8mdv2008.0
+ Revision: 62221
- remove file Requires

* Sat Aug 11 2007 David Walluck <walluck@mandriva.org> 0:2007-7mdv2008.0
+ Revision: 61921
- version tetex provide

* Sat Aug 11 2007 David Walluck <walluck@mandriva.org> 0:2007-6mdv2008.0
+ Revision: 61915
- safer calls in scriptlets

* Sat Aug 11 2007 David Walluck <walluck@mandriva.org> 0:2007-5mdv2008.0
+ Revision: 61864
- Xaw3d-devel is incorrectly named
- BuildRequires: xaw3d-devel
- BuildRequires: xaw-devel, not Xaw3d-devel
- fix %%bcond_with option
- fix %%with syntax
- update svn instructions
- don't obsolete tetex by default
- stricter version requirements on subpackages
- remove some library provides
- don't exclude .pool files
- exclude .pool files already shipped in texlive-texmf
- update to latest SVN for pdftex 1.40.5 support
- remove Fedora tkdep patch (we hopefully require perl-Tk from main automatically)
- remove Fedora kpse extensions patch (capital letters are bugs in themselves)
- remove dvips_fontbug_fix_upstream and fix_makempx_installation patches (merged upstream)
- rediff some Debian patches
- libpoppler_new patch disables pdftosrc
- fix pdftex patch
- add libpoppler_new patch
- installation fixes
- Import texlive



* Fri Jun 22 2007 David Walluck <walluck@mandriva.org> 0:2007-1mdv2008.0
- release
